package com.infobip.push.lib.model;

import org.json.JSONException;
import org.json.JSONObject;

import com.infobip.push.lib.util.Util;

public class LocationModel {
	
	private static final String TAG_DEVICE_ID 				= "deviceID";
	private static final String TAG_LONGITUDE 				= "longitude";
	private static final String TAG_LATITUDE 				= "latitude";
	private static final String TAG_NETWORK_COUNTRY_ISO 	= "networkIso";
	
//	TelephonyManager.getNetworkCountryIso() 
	
	public String deviceId;
	public double longitude;
	public double latitude;
	public String networkIso;
	
	@Override
	public String toString() {
		return toJsonObject().toString();
	}
	
	public JSONObject toJsonObject() {
		JSONObject locationModel = new JSONObject();
		
		try {
			locationModel.put(TAG_DEVICE_ID, deviceId);
			locationModel.put(TAG_LONGITUDE, longitude);
			locationModel.put(TAG_LATITUDE, latitude);	
			locationModel.put(TAG_NETWORK_COUNTRY_ISO, networkIso);	
		} catch (JSONException e) {
			Util.LogError(e.toString());
		}
		
		return locationModel;
	}
}
