package com.infobip.push.lib.model;

import org.json.JSONException;
import org.json.JSONObject;

import com.infobip.push.lib.util.Util;

public class NotificationOpenedModel {

	private static final String TAG_MESSAGE_ID 		= "messageID";
	private static final String TAG_DEVICE_ID 		= "deviceID";
	
	public String messageId;
	public String deviceId;

	@Override
	public String toString() {
		return toJsonObject().toString();
	}
	
	public JSONObject toJsonObject() {
		JSONObject notificationConfirmModel = new JSONObject();
		
		try {
			notificationConfirmModel.put(TAG_MESSAGE_ID, messageId);
			notificationConfirmModel.put(TAG_DEVICE_ID, deviceId);
		} catch (JSONException e) {
			Util.LogError(e.toString());
		}
		
		return notificationConfirmModel;
	}	
}
