package com.infobip.push.lib.model;

import org.json.JSONException;
import org.json.JSONObject;

import com.infobip.push.lib.util.Util;

public class UnregistrationModel {
	
	private static final String TAG_DEVICE_ID = "deviceID";

	public String deviceId;
	
	@Override
	public String toString() {
		return toJsonObject().toString();
	}
	
	public JSONObject toJsonObject() {
		JSONObject unregModel = new JSONObject();
		
		try {
			unregModel.put(TAG_DEVICE_ID, deviceId);
		} catch (JSONException e) {
			Util.LogError(e.toString());
		}
		
		return unregModel;
	}
}
