function pagingChapter(height, columnWidth) {
    console.log("js_log: pagingChapter");
 $('html').css({
                'visibility' : 'hidden'
                });
    adjustImages(height, columnWidth);
    var d = document.getElementsByTagName('body')[0];
    console.log("OffsetHeight " + d.offsetHeight + " " + height);

    if(d.offsetHeight > height + 10) {
        $('html').css({
            'padding': '0px',
            'height' :  height + 'px',
            '-webkit-column-gap' : '0px',
            '-webkit-column-width' : columnWidth + 'px'
        });
    }
    Callback.setChapterPageCount(Math.ceil(d.scrollWidth/window.innerWidth));
}

function setPageFromSpanId(idString) {
    console.log("Span to set: " + idString);
    var windows = document.getElementsByTagName('body')[0];
    var d = document.getElementById(idString);
    var offsets = d.getBoundingClientRect();
    var left = offsets.left;
    var ourW = window.innerWidth;
    var page = Math.ceil(left/ourW) -1;
    $('body').scrollLeft(ourW * page);
    $('#'+ idString).css('font-weight','Bold');
    spanId = getFirstSpanId();
    Callback.setCurrentPage(page, spanId);
    $('html').css({
        'visibility' : 'visible'
    });
}

function setPage(page) {
    var windows = document.getElementsByTagName('body')[0];
    var ourW = window.innerWidth;
    document.getElementsByTagName('body')[0].scrollLeft = (ourW * page);
    spanId = getFirstSpanId();
    Callback.setCurrentPage(page, spanId);
    $('html').css({
        'visibility' : 'visible'
    });
}

function setLastPage() {
    var d = document.getElementsByTagName('body')[0];
    var ourW = window.innerWidth;
    var fullW = d.scrollWidth;
    console.log("Size: " + ourW + " " + fullW);
    var page =(fullW/ourW) -1;
    console.log("Last page number " + page);
    $('body').scrollLeft(ourW * page);
    spanId = getFirstSpanId();
    Callback.setCurrentPage(page, spanId);
    $('html').css({
        'visibility' : 'visible'
    });
}

function getFirstSpanId() {
    var elements = $('span:in-viewport');
    var element = $(elements).first();
    for (var i=0; i<elements.length; i++) {
        if(elements[i].hasAttribute('id')) {
            element = elements[i];
            break;
        }
    }
    var id = $(element).attr('id');
    return id;
}

function adjustImages(height, width) {
    console.log("js_log: adjustImages " + height + " " + width);
    $('img').css({
        'object-fit': 'contain',
        'max-width' :  width + 'px',
        'max-height' : height + 'px'
    });
}