package com.infobip.push.lib;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

/**
 * This receiver runs Infobip push service on intents action. It has to be a part of the developers AndroidManifest.xml file.
 * @author tjuric
 *
 */
public class InfobipPushReceiver extends BroadcastReceiver{

	/**
	 * Invoked on following actions: <br />
	 * {@link InfobipPushService#GCM_REGISTRATION_ACTION } - <code>com.google.android.c2dm.intent.REGISTRATION</code> <br />
	 * {@link InfobipPushService#GCM_NOTIFICATION_RECEIVED } - <code>com.google.android.c2dm.intent.RECEIVE</code>
	 */
	@Override
	public final void onReceive(Context context, Intent intent) {
		InfobipPushService.runIntentInService(context, intent);
		setResult(Activity.RESULT_OK, null, null);
	}
}
